GET

personcommunications API

Retrieve and manage personcommunications records from the Apps4Edu sync database.

Endpoint Path

GET /api/personcommunications

CURL Example

curl "https://api.apps4education.co.uk/api/personcommunications?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
personID int
homeAddress text
workAddress text
homeTelephone varchar
workTelephone varchar
mobileTelephone varchar
homeEmail varchar
workEmail varchar
homeTelephoneNumberofTopPriorityContact varchar
homeTelephoneNumberofPriorityOneContact varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "personID": 101,
      "homeAddress": "example_value",
      "workAddress": "example_value",
      "homeTelephone": "example_value",
      "workTelephone": "example_value",
      "mobileTelephone": "example_value",
      "homeEmail": "example_value",
      "workEmail": "example_value",
      "homeTelephoneNumberofTopPriorityContact": "example_value",
      "homeTelephoneNumberofPriorityOneContact": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.